/*
 *
 * Livewallpaper
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Copyright (C) 2012-2013 Maximilian Schnarr <Maximilian.Schnarr@googlemail.com>
 *
 */

#ifndef _LW_RANDOM_H_
#define _LW_RANDOM_H_

static inline gfloat
randf(void)
{
	return rand() / (gfloat) RAND_MAX;
}

static inline gfloat
rand1f(gfloat max)
{
	return max * randf();
}

static inline gfloat
rand2f(gfloat min, gfloat max)
{
	return min + (max - min) * randf();
}

static inline gfloat
clampf(gfloat num, gfloat min, gfloat max)
{
	if(num > max) num = max;
	else if(num < min) num = min;

	return num;
}

#endif /* _LW_RANDOM_H_ */

