/*
 * Livewallpaper
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Copyright (C) 2012-2013 RIVIÈRE Aurélien <aurelien.riv@gmail.com>
 *
 */

#include "main.h"


gint
main (gint argc, gchar **argv)
{
	LwConfigApplication *app;
	gchar *local_schemadir;
	
	g_type_init();

	/* Enable local settings */
	local_schemadir = g_build_filename(g_get_home_dir(), ".local", "share", "glib-2.0", "schemas", NULL);
	g_setenv("GSETTINGS_SCHEMA_DIR", local_schemadir, TRUE);
	g_free(local_schemadir);

	/* Preparing Gettext */
    setlocale      (LC_ALL, "");
    textdomain     (GETTEXT_PACKAGE);
    bindtextdomain (GETTEXT_PACKAGE, DATADIR"locale");

	/* Start the application as a GApplication */
	app = lw_config_application_new();
    return g_application_run(G_APPLICATION(app), argc, argv);
}

