/*
 * Livewallpaper
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Copyright (C) 2012-2013 Maximilian Schnarr <Maximilian.Schnarr@googlemail.com>
 *
 */

#ifndef _LW_CONFIG_PLUGIN_STORE_H_
#define _LW_CONFIG_PLUGIN_STORE_H_

enum {
	PLUGIN_COL,
	ICON_COL,
	NAME_COL,
	PLUGIN_ROW_COL,
	TOGGLE_ROW_COL,

	TITLE_COL,
	HEADING_ROW_COL,

	SORT_KEY_COL,

	NUM_COLS
};

enum {
	GENERAL_SETTINGS_POS,
	PLUGIN_HEADING_POS,
	LW_PLUGIN_POS
};

GtkListStore *lw_config_plugin_store_new();

void lw_config_plugin_store_add_heading(GtkListStore *store, const gchar *str, gint pos);
void lw_config_plugin_store_add_plugin(GtkListStore *store, LwConfigPlugin *p, gint pos, gboolean toggle);
void lw_config_plugin_store_add_plugins(GtkListStore *store, GSList *list);

#endif /* _LW_CONFIG_PLUGIN_STORE_H_ */

