#!/bin/bash

#
# Livewallpaper
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
# MA 02110-1301, USA.
#
# Copyright (C) 2012-2013 Aurélien Rivière <aurelien.riv@gmail.com>

base=`dirname $0`
schemas="$(ls $base/../plugins/**/net.launchpad.livewallpaper.plugins.*.gschema.xml $base/../data/net.launchpad.livewallpaper.gschema.xml)"
plugins="$(ls $base/../plugins/**/*.plugin $base/../data/livewallpaper.plugin)"
echo "Updating the translation template (livewallpaper.pot)"

echo "/* This file is automatically generated by update-po.sh - do not edit manually */" > $base/translations.h
# Get enum nicks and tab names
# TODO : read the keys without trusting the position for keys that can take multiple arguments
grep -h -e '<value nick'  $schemas | awk -F'"' '{print "_(\""$2"\")"}' >> $base/translations.h
grep -h -e '<lwp:tab'     $schemas | awk -F'"' '{print "_(\""$2"\")"}' >> $base/translations.h
grep -h -e 'Description=' $plugins | awk -F'=' '{print "_(\""$2"\")"}' >> $base/translations.h

intltool-update --pot --gettext-package=livewallpaper

# remove comments that don't start with TRANSLATORS from livewallpaper.pot
awk '{if(!/#\./ || /#\. TRANSLATORS:/) print $0}' livewallpaper.pot > livewallpaper.pot.tmp
mv livewallpaper.pot.tmp livewallpaper.pot

echo "Updating translations..."
for translation in $base/*.po; do
	echo -n "   " $(basename $translation .po)
	msgmerge -U $translation $base/livewallpaper.pot
done
